KLA11651
Multiple vulnerabilities in Apple iTunes
Updated: 03/13/2020
Detect date
?
01/28/2020
Severity
?
Warning
Description

Multiple vulnerabilities were found in Apple iTunes. Malicious users can exploit these vulnerabilities to execute arbitrary code, cause denial of service, perform cross-site scripting attack, bypass security restrictions.

Below is a complete list of vulnerabilities:

  1. Multiple memory corruption vulnerabilities in WebKit can be exploited to execute arbitrary code.
  2. A buffer overflow vulnerability in libxml2 can be exploited to execute arbitrary code.
  3. An out-of-bounds vulnerability in ImageIO can be exploited to execute arbitrary code.
  4. Multiple memory corruption vulnerabilities in WebKit Page Loading can be exploited to execute arbitrary code.
  5. A logic vulnerability in WebKit can be exploited to perform cross-site scripting attacks.
  6. A memory handling vulnerability in WebKit can be exploited to cause a denial of service
  7. A security vulnerability in Mobile Device Service can be exploited to bypass security restrictions.
  8. A DOM object context vulnerability in WebKit Page Loading can be exploited to bypass security restrictions.
Affected products

Apple iTunes earlier than 12.10.4

Solution

Update to the latest version
Download iTunes

Original advisories

HT210923

Impacts
?
ACE 
[?]

DoS 
[?]

SB 
[?]

XSS/CSS 
[?]
Related products
Apple iTunes
CVE-IDS
?
CVE-2020-38680.0Unknown
CVE-2020-38460.0Unknown
CVE-2020-38260.0Unknown
CVE-2020-38650.0Unknown
CVE-2020-38250.0Unknown
CVE-2020-38670.0Unknown
CVE-2020-38620.0Unknown
CVE-2020-38610.0Unknown
CVE-2020-38640.0Unknown